function FileData_Pairs(x)
{
x.t("example","example");
x.t("example","derives");
x.t("example","java");
x.t("example","13.2.2");
x.t("system.out.println","thread");
x.t("system.out.println","(e)");
x.t("system.out.println","threaddemo");
x.t("thread2.start","system.out.println");
x.t("thread1.join","thread2.join");
x.t("instance","demothread");
x.t("instance","finishes");
x.t("variables","boolean");
x.t("demothread","demothread");
x.t("demothread","(2)");
x.t("demothread","int");
x.t("demothread","(6)");
x.t("demothread","private");
x.t("demothread","extends");
x.t("demothread","thread1");
x.t("demothread","thread2");
x.t("interruptedexception","system.out.println");
x.t("flag","stopping");
x.t("void","destroyapp");
x.t("void","startapp");
x.t("void","run");
x.t("void","pauseapp");
x.t("creates","two");
x.t("execute","loops");
x.t("try","system.out.println");
x.t("try","thread.sleep");
x.t("asked","thread");
x.t("leave","thread");
x.t("public","demothread");
x.t("public","void");
x.t("public","class");
x.t("public","threaddemo");
x.t("(2)","thread2");
x.t("destroyapp","public");
x.t("destroyapp","(true)");
x.t("destroyapp","boolean");
x.t("destroyapp","cond");
x.t("loop","try");
x.t("loop","counter");
x.t("new","demothread");
x.t("waittime","system.out.println");
x.t("waittime","store");
x.t("counter","wait");
x.t("check","main");
x.t("died","notifydestroyed");
x.t("javax.microedition.midlet","public");
x.t("throws","midletstatechangeexception");
x.t("false","try");
x.t("true","system.out.println");
x.t("true","flag");
x.t("outside","leave");
x.t("wait","second");
x.t("creating","threads");
x.t("(true)","system.out.println");
x.t("derives","class");
x.t("die","thread1.join");
x.t("die","runthreads");
x.t("constructor","public");
x.t("constructor","creating");
x.t("boolean","cond");
x.t("boolean","runthreads");
x.t("useful","instead");
x.t("cond","system.out.println");
x.t("thread2.join","catch");
x.t("started","int");
x.t("started","main");
x.t("int","waittime");
x.t("int","loops");
x.t("thread","instance");
x.t("thread","creates");
x.t("thread","die");
x.t("thread","started");
x.t("thread","int");
x.t("thread","return");
x.t("thread","loops");
x.t("second","instance");
x.t("second","something");
x.t("store","number");
x.t("something","useful");
x.t("(6)","startapp");
x.t("tutorial","13.2");
x.t("13.2","programming");
x.t("first","instance");
x.t("number","loops");
x.t("(1000)","catch");
x.t("private","class");
x.t("runthreads","false");
x.t("runthreads","true");
x.t("instead","system.out.println");
x.t("starting","threads");
x.t("implementing","thread");
x.t("thread.sleep","(1000)");
x.t("thread.sleep","(4000)");
x.t("return","print");
x.t("java","tutorial");
x.t("(e)","system.out.println");
x.t("(e)","destroyapp");
x.t("finished","naturally");
x.t("stopped","outside");
x.t("stopped","main");
x.t("closing","application");
x.t("instances","subclass");
x.t("main","application");
x.t("programming","midlet");
x.t("import","javax.microedition.midlet");
x.t("extends","thread");
x.t("extends","midlet");
x.t("startapp","public");
x.t("startapp","throws");
x.t("startapp","starting");
x.t("waiting","seconds");
x.t("waiting","threads");
x.t("application","asked");
x.t("application","private");
x.t("application","package");
x.t("application","pauseapp");
x.t("stopping","threads");
x.t("print","loop");
x.t("(4000)","catch");
x.t("outsdide","runthreads");
x.t("two","instances");
x.t("midlet","13.2.2");
x.t("midlet","member");
x.t("itself","stopped");
x.t("13.2.2","example");
x.t("subclass","thread");
x.t("package","example.threaddemo");
x.t("created","public");
x.t("naturally","threaddemo");
x.t("finishes","itself");
x.t("loops","execute");
x.t("loops","public");
x.t("loops","loop");
x.t("loops","waittime");
x.t("loops","check");
x.t("loops","started");
x.t("loops","finished");
x.t("loops","stopped");
x.t("loops","created");
x.t("run","system.out.println");
x.t("thread1.start","thread2.start");
x.t("class","demothread");
x.t("class","thread");
x.t("class","implementing");
x.t("class","threaddemo");
x.t("example.threaddemo","import");
x.t("catch","interruptedexception");
x.t("member","variables");
x.t("threaddemo","system.out.println");
x.t("threaddemo","destroyapp");
x.t("threaddemo","constructor");
x.t("threaddemo","closing");
x.t("threaddemo","extends");
x.t("threaddemo","startapp");
x.t("threaddemo","waiting");
x.t("threaddemo","stopping");
x.t("threaddemo","pauseapp");
x.t("threaddemo","threads");
x.t("thread1","new");
x.t("thread1","first");
x.t("midletstatechangeexception","system.out.println");
x.t("thread2","new");
x.t("thread2","second");
x.t("threads","demothread");
x.t("threads","try");
x.t("threads","died");
x.t("threads","die");
x.t("threads","outsdide");
x.t("threads","thread1.start");
x.t("threads","thread1");
x.t("seconds","stopping");
x.t("pauseapp","system.out.println");
x.t("pauseapp","public");
x.t("pauseapp","destroyapp");
}
